<?php

namespace Config;

use CodeIgniter\Config\BaseConfig;

class PedidoXML extends BaseConfig
{

    public string $host;
    public int $port;
    public string $username;
    public string $password;
    public string $base_dir; # FTP server directory
    public bool $xml_enabled;
    public int $id_offset;
    
    public function __construct() {
        parent::__construct();
        $this->host = env("HIDRIVE_HOST","10.5.0.6");
        $this->port = env("HIDRIVE_PORT",21);
        $this->username = env("HIDRIVE_USER","admin");
        $this->password = env("HIDRIVE_PASS","A77h3b0X4OA2rOYAf4w2");
        $this->base_dir = env("HIDRIVE_PATH_ROOT","/home/admin/safekat"); # FTP server directory
        $this->xml_enabled = env("FTP_XML_ENABLED",false); 
        $this->id_offset = env("XML_OFFSET_CUSTOMER_ID",1000000);

    }
}
